Bug 440272 - Summary: TB471250f2 grabber.py:1200:_do_grab:IOError: [Errno 2] No such file or directory: '//var/cache/yum/rhel-x86_64-client-5/headers/tzdata-2007k-2.el5.noarch.hdr'
Summary: TB471250f2 grabber.py:1200:_do_grab:IOError: [Errno 2] No such file ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum (Show other bugs)
5.2
i686 Linux
low Severity high
: rc
: ---
Assigned To: Miroslav Suchý
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-02 11:51 EDT by Kevin Ryan
Modified: 2014-01-21 01:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-26 08:25:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Software Updater core dump (1.79 KB, text/plain)
2008-04-02 11:51 EDT, Kevin Ryan
no flags Details

  None (edit)
Description Kevin Ryan 2008-04-02 11:51:21 EDT
Description of problem:
Component: Software Updater (/usr/sbin/pup) crashes.

Version-Release number of selected component (if applicable):


How reproducible:
starting /usr/sbin/pup via directory, or tool bar, gives consistent result:
crash.

Steps to Reproduce:
1. cd /usr/sbin/; ./pup
2. or launch from tool bar
3.
  
Actual results:
Summary: TB471250f2 grabber.py:1200:_do_grab:IOError: [Errno 2] No such file 
or 
directory: '//var/cache/yum/rhel-x86_64-client-5/headers/tzdata-2007k-2.el5.noarch.hdr'

Expected results:
Absence of crashing.

Additional info:
Comment 1 Kevin Ryan 2008-04-02 11:51:21 EDT
Created attachment 300081 [details]
Software Updater core dump
Comment 3 Miroslav Suchý 2009-11-26 06:26:43 EST
I could not reproduce it.

It seams that directory /var/cache/yum/rhel-x86_64-client-5/headers do not exists, which confuse the code. 

Since _getFile is called with variable "local" already set by yum, it should be probably yum responsibility to check the path exists. Will check
Comment 4 Miroslav Suchý 2009-11-26 08:25:30 EST
From yum changelog:

2008-11-18  Seth Vidal <skvidal@fedoraproject.org>

        * yum/yumRepo.py: yes, umm, if you do need to get headers for some
        crack reason (like checking for potential file conflicts) then you
        need to make the header dir

It has been fixed in yum-3.2.21 (but not tracked under BZ)

Note You need to log in before you can comment on or make changes to this bug.